#include <Fl/Fl_Window.h>

extern "C"
{
Fl_Window * f_newWindow( int a, int b ) ;
void f_deleteWindow( Fl_Window * b ) ;
void f_Window_memfn_end( Fl_Window *b  ) ;
void f_Window_memfn_add( Fl_Window *b, Fl_Widget * c );
void f_Window_memfn_add( Fl_Window *b, Fl_Widget * c );
void f_Window_removeChildren( Fl_Window *b );
bool f_Window_memfn_visible( Fl_Window *b );
void f_Window_memfn_show( Fl_Window *b );
void f_Window_memfn_hide( Fl_Window *b );
}

Fl_Window * f_newWindow( int a, int b ) { return new Fl_Window( a, b ); }
void f_deleteWindow( Fl_Window * b ) { /*delete b;*/ }
void f_Window_memfn_end( Fl_Window *b  ) { b->end(); }
//void f_Window_memfn_show( Fl_Window *b  ) { b->show(0,0); }
void f_Window_memfn_add( Fl_Window *b, Fl_Widget * c ) { b->add( c ); }
void f_Window_removeChildren( Fl_Window *b )
{
	while ( b->children() >= 1 )
		b->remove( b->child(0) );
}
bool f_Window_memfn_visible( Fl_Window *b ){ return b->visible(); }
void f_Window_memfn_show( Fl_Window *b ){return b->show(); }
void f_Window_memfn_hide( Fl_Window *b ){return b->hide(); }
