module CGA.CommonAttributes(
  HasChildren, children, 
  HasSize, size,
  HasPosition, position,
  HasTitle, title) where

import CGA.Widget
import Attributes

class HasChildren w where
  children :: Attr w [Widget]

class HasSize w where
  size :: Attr w (Int,Int)

class HasTitle w where
  title :: Attr w String

class HasPosition w where
  position :: Attr w (Int,Int)
